// hill1.cpp : Defines the entry point for the console application.
//



#include <GL/freeglut.h>									//GLUT library
#include <GL/gl.h>
#include <algorithm>
#include <math.h>
typedef struct V2D_t
{
	int x;
	int y;

}  V2D;
V2D m_points[3];
void readPoints()
{
	for (int i = 0; i < 3; i++)
	{
		m_points[i].x = 100 + 15 * i*i;
		m_points[i].y = 200 - 20 * i;
	}
}
void drawPoints()
{
	glBegin(GL_POINTS);
	for (int i = 0; i < 3; i++)
	{
		glVertex2i(m_points[i].x, m_points[i].y);
	}

	glEnd();
}
void drawDot(GLint x, GLint y)
{
	// draw dot at integer point (x, y)
	glBegin(GL_POINTS);
	glVertex2i(x, y);
	glEnd();
}

void myInit(void)
{
	glClearColor(1.0, 1.0, 1.0, 0.0);
	// set white background color;
	glColor3f(0.0f, 0.0f, 0.0f);
	// set the drawing color
	glPointSize(8.0);
	// a 'dot' is 4 by 4 pixels
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	gluOrtho2D(0.0, 640.0, 0.0, 480.0);
}
//<<<<<<<<<<<< myDisplay >>>>>>>>>
void myDisplay(void)
{
	glClear(GL_COLOR_BUFFER_BIT);
	// clear the screen
	drawPoints();
	drawDot(100, 50);
	// draw three points
	drawDot(100, 130);
	drawDot(150, 130);

	glFlush();
	// send all output to display
}
//<<<<<<<<<<<< main >>>>>>>>>>>
int main(int argc, char** argv)
{
	glutInit(&argc, argv);
	readPoints();
	// initialize the toolkit
	glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);
	// set display mode
	glutInitWindowSize(640, 480);
	// set window size
	glutInitWindowPosition(100, 150);
	// set window position on screen
	glutCreateWindow("draw point array");
	// open the screen window
	glutDisplayFunc(myDisplay);
	// register redraw function
	myInit();
	glutMainLoop();
	// go into a perpetual loop
	return 1;
}
